#ifndef LINE_FOLLOWER_H
#define LINE_FOLLOWER_H

#define PWM1 PD5
#define PWM2 PD4
#define EN1 PD6
#define EN2 PD3
#define IN1 PD7
#define IN2 PD2
#define SEN1 PA6
#define SEN2 PC6

#define LF_TRUE 1

#define REF_SPEED 450

#define MAX_COEF 20

#define INC(c) (((c) < 20)?(++(c)):(c))
#define DEC(c) (((c) > 0)?(--(c)):(c))

enum motor_t {MOTOR_1, MOTOR_2};

enum dir_t {LEFT, RIGHT, NO_DIR};

#endif 
